GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - d -

- data() : gtpin::Span< T >
- DataElementSize() : gtpin::IGtGenArch
- DataSize() : gtpin::IGtIns
- DataType() : gtpin::GtRegRegion , gtpin::GtDstRegion , gtpin::GtImm
- Deallocate() : gtpin::IMemAllocator
- DefaultReaction() : gtpin::IGtEvent
- Depth() : gtpin::GtSystolicInfo
- device : gtpin::GtKernelDispatchOclRuntime , gtpin::GtKernelDispatchL0Runtime
- device_index : gtpin::GtOclExecDesc , gtpin::GtL0ExecDesc
- DEVICE_PTR : gtpin::GtIargType
- DeviceAddr() : gtpin::IGtProfileBuffer
- DISPATCH : gtpin::GtKernelExecStage
- DispatchId() : gtpin::IGtKernelDispatch
- DPOpCode() : gtpin::IGtIns
- DstAddrMode() : gtpin::IGtIns
- DstBbl() : gtpin::IGtEdge
- DstOperand() : gtpin::IGtIns
- DstRegFile() : gtpin::IGtIns
- dualSubSliceId : gtpin::GtStateRegAccessor
- DualSubSliceIdField() : gtpin::GtStateRegAccessor
- dx11ExecDesc : gtpin::GtKernelExecDesc
- dx12ExecDesc : gtpin::GtKernelExecDesc
- dx12RtExecDesc : gtpin::GtKernelExecDesc

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT